<?php 
/*------------------------------------------------
 * Loader Torgsoft trs file for Horoshop  20250818
 * Copyright © FinBoss 2026
 * finboss.ua@gmail.com 
 *
 * керуючий модуль
 *
 * License: Commercial open source software (COSS) 
 *------------------------------------------------
 */

	header('Content-Type: text/html; charset=utf-8');

	// контроль доступа по IP
	$a_allow = false;
	if (is_file('.allowed_ip')){
		$a_ips = file('.allowed_ip');
		
		foreach ($a_ips as $a_ip){
			$a_ip = trim($a_ip);
			if (strpos($a_ip, '*') !== false){
				
				// process 127.0.*.*
				
				$remote = explode('.', $_SERVER['REMOTE_ADDR']);
				$a = explode('.', $a_ip);
				
				$true_count = 0;
				for ($i=0;$i<4;$i++){
					switch ($i){
						case 0:
						case 1:
							if ($remote[$i] != $a[$i]){
								break 2;
							}else{
								$true_count++;
							}
							break;
						case 2:
						case 3:
							if ($a[$i] == '*'){
								// пропускаем
								$true_count++;
							}else{
								if ($remote[$i] != $a[$i]){
									break 2;
								}else{
									$true_count++;
								}
							}
							
					}
				}
				if ($true_count == 4){
					$a_allow = true;
					break;
				}
				
			}else{
				if ($_SERVER['REMOTE_ADDR'] == trim($a_ip)){
					$a_allow = true;
					break;
				}
			}
		}
		
	}
	if ($a_allow === false){
		die('доступ для IP '.$_SERVER['REMOTE_ADDR'].' заблоковано');
	}
	
	error_reporting (E_ALL);
	date_default_timezone_set ('Europe/Kiev');
	
	$title = "Синхронізація Хорошоп з Торгсофт";
	
	include ('horoshop_loader_torgsoft.cfg.php');

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf8" >
<title><?php echo $title; ?></title>
</head>
<body style="font-family:Trebuchet MS; font-size: 10pt;" bgcolor="#FEF4EB">

<table width="100%" bgcolor="#416e98">
<tr valign="middle">
<td><span style="font-size:25px; color:#FFF; font-family:Trebuchet MS"><?php echo $title; ?></span></td>
<td align="right"></td>
</tr>
</table>
<center>
<br/>

<table width="70%">
<tr valign="middle">
<td align="center"><a href="setup_uk.php" target="_blank">Налаштування</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="photos/upload_photo.php" target="_blank">Закачати фото товарів</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center">
<?php 
	$trs_dir = dirname($oc_loader_torgsoft_trs_file);
		
	if (is_file('../'.$trs_dir.'/index.php')){
		echo "<a href=\"../$trs_dir/index.php\" target='_blank'>Папка $trs_dir</a>";
	}else{
		echo "Помилка: не знайдено папку для вхідних файлів ".$trs_dir;
	}
?>
</td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center">
<?php 
if (is_file('../'.$oc_loader_torgsoft_img_path.'/index.php')){
	echo "<a href=\"../$oc_loader_torgsoft_img_path/index.php\" target='_blank'>Папка $oc_loader_torgsoft_img_path</a>";
	}else{
		echo "Помилка: не знайдено папку для фото товарів ".$oc_loader_torgsoft_img_path;
	}
?>
</td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="horoshop_loader_torgsoft.php?start=now" target="_blank">Запустити завантажувач</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="log/index.php" target="_blank">Звіти</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="show_products.php" target="_blank">Інформація про категорії сайту</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center">
<form method="POST" action="show_products.php">
	Артикул <input type="text" name="article" /> <input type="submit" name="link" value="Інформація про товар" />
</form>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="show_license.php" target="_blank">Інформація про ліцензію</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="phpinfo.php" target="_blank">Інформація про сервер</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
<tr>
<td align="center"><a href="horoshop_orders_torgsoft.php" target="_blank">Запустити модуль вивантаження замовлень</a></td>
</tr>
<tr>
<td align="center"><hr/></td>
</tr>
</table>

</center>
</body>
</html>
